# Type Alias SearchBarOpts

type SearchBarOpts = {
autofocus?: boolean;
badges?: string[];
contents: string;
has_dropdown: boolean;
hints?: any;
onClick: string | undefined;
placeHolder?: string;
stateField: string;
}

- Defined in helpers.ts:292

##### Index

### Properties

autofocus?
badges?
contents
has_dropdown
hints?
onClick
placeHolder?
stateField

## Properties

### `Optional` autofocus

autofocus?: boolean

- Defined in helpers.ts:295

### `Optional` badges

badges?: string[]

- Defined in helpers.ts:297

### contents

contents: string

- Defined in helpers.ts:296

### has_dropdown

has_dropdown: boolean

- Defined in helpers.ts:294

### `Optional` hints

hints?: any

- Defined in helpers.ts:300

### onClick

onClick: string | undefined

- Defined in helpers.ts:299

### `Optional` placeHolder

placeHolder?: string

- Defined in helpers.ts:293

### stateField

stateField: string

- Defined in helpers.ts:298